Public Member Functions | Static Public Member Functions | List of all members
MTLStencilTable Class Reference

`#include <mtlComputeEvaluator.h>`

## Public Member Functions
| MTLStencilTable (Far::StencilTable const *stencilTable, MTLContext *context)
| MTLStencilTable (Far::LimitStencilTable const *stencilTable, MTLContext *context)
| ~MTLStencilTable ()
id< MTLBuffer > | GetSizesBuffer () const
id< MTLBuffer > | GetOffsetsBuffer () const
id< MTLBuffer > | GetIndicesBuffer () const
id< MTLBuffer > | GetWeightsBuffer () const
id< MTLBuffer > | GetDuWeightsBuffer () const
id< MTLBuffer > | GetDvWeightsBuffer () const
id< MTLBuffer > | GetDuuWeightsBuffer () const
id< MTLBuffer > | GetDuvWeightsBuffer () const
id< MTLBuffer > | GetDvvWeightsBuffer () const
int | GetNumStencils () const

## Static Public Member Functions
template<typename STENCIL_TABLE , typename DEVICE_CONTEXT >
static MTLStencilTable * | Create (STENCIL_TABLE *stencilTable, DEVICE_CONTEXT context)

## Detailed Description

Definition at line 51 of file mtlComputeEvaluator.h.

## Constructor & Destructor Documentation

## ◆ MTLStencilTable() [1/2]

MTLStencilTable | ( | Far::StencilTable const * | stencilTable,
|  | MTLContext * | context
| ) |  |

## ◆ MTLStencilTable() [2/2]

MTLStencilTable | ( | Far::LimitStencilTable const * | stencilTable,
|  | MTLContext * | context
| ) |  |

## ◆ ~MTLStencilTable()

~MTLStencilTable | ( |  | ) |

## Member Function Documentation

## ◆ Create()

static MTLStencilTable* Create | ( | STENCIL_TABLE * | stencilTable,
|  | DEVICE_CONTEXT | context
| ) |  |
| inline static

Definition at line 55 of file mtlComputeEvaluator.h.

## ◆ GetDuuWeightsBuffer()

id<MTLBuffer> GetDuuWeightsBuffer | ( |  | ) | const
| inline

Definition at line 73 of file mtlComputeEvaluator.h.

## ◆ GetDuvWeightsBuffer()

id<MTLBuffer> GetDuvWeightsBuffer | ( |  | ) | const
| inline

Definition at line 74 of file mtlComputeEvaluator.h.

## ◆ GetDuWeightsBuffer()

id<MTLBuffer> GetDuWeightsBuffer | ( |  | ) | const
| inline

Definition at line 71 of file mtlComputeEvaluator.h.

## ◆ GetDvvWeightsBuffer()

id<MTLBuffer> GetDvvWeightsBuffer | ( |  | ) | const
| inline

Definition at line 75 of file mtlComputeEvaluator.h.

## ◆ GetDvWeightsBuffer()

id<MTLBuffer> GetDvWeightsBuffer | ( |  | ) | const
| inline

Definition at line 72 of file mtlComputeEvaluator.h.

## ◆ GetIndicesBuffer()

id<MTLBuffer> GetIndicesBuffer | ( |  | ) | const
| inline

Definition at line 69 of file mtlComputeEvaluator.h.

## ◆ GetNumStencils()

int GetNumStencils | ( |  | ) | const
| inline

Definition at line 77 of file mtlComputeEvaluator.h.

## ◆ GetOffsetsBuffer()

id<MTLBuffer> GetOffsetsBuffer | ( |  | ) | const
| inline

Definition at line 68 of file mtlComputeEvaluator.h.

## ◆ GetSizesBuffer()

id<MTLBuffer> GetSizesBuffer | ( |  | ) | const
| inline

Definition at line 67 of file mtlComputeEvaluator.h.

## ◆ GetWeightsBuffer()

id<MTLBuffer> GetWeightsBuffer | ( |  | ) | const
| inline

Definition at line 70 of file mtlComputeEvaluator.h.

The documentation for this class was generated from the following file:

- opensubdiv/osd/mtlComputeEvaluator.h